[postgis-tickets] [SCM] PostGIS branch stable-3.2 updated. 3.2.1-27-g92f94fe1c
git at osgeo.org
git at osgeo.org
Wed Jun 15 07:30:31 PDT 2022
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".
The branch, stable-3.2 has been updated
via 92f94fe1c24b17ccf593fd670bd6d4b5817953ba (commit)
from 10261f4d576a5120d4aa9eabf126bb380993c46b (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 92f94fe1c24b17ccf593fd670bd6d4b5817953ba
Author: Regina Obe <lr at pcorp.us>
Date: Wed Jun 15 10:29:58 2022 -0400
Cleanup of tests. Have berries test upgrade. Have debbie test upgrade only for < 14
diff --git a/ci/berrie/configs.sh b/ci/berrie/configs.sh
index ca0a5ca46..b91a960a3 100644
--- a/ci/berrie/configs.sh
+++ b/ci/berrie/configs.sh
@@ -2,7 +2,7 @@ export WORKSPACE=/home/jenkins/workspace
export GEOS_VER=3.11.0
export OS_BUILD=32
-export PG_VER=14
+export PG_VER=15
export GEOS_PATH=${WORKSPACE}/geos/rel-${GEOS_VER}
#export GEOS_PATH=~/geos/rel-${GEOS_VER}
export PGPATH=${WORKSPACE}/pg/label/${label}/rel/pg${PG_VER}w${OS_BUILD}
diff --git a/ci/berrie/postgis_regress.sh b/ci/berrie/postgis_regress.sh
index 0573fd589..d737795f6 100644
--- a/ci/berrie/postgis_regress.sh
+++ b/ci/berrie/postgis_regress.sh
@@ -23,10 +23,14 @@ export err_status=0
make check RUNTESTFLAGS="-v"
make install
make check RUNTESTFLAGS="-v --extension"
-err_status=$?
+if [ "$?" != "0" ]; then
+ err_status=$?
+fi
make garden
-err_status=$?
+if [ "$?" != "0" ]; then
+ err_status=$?
+fi
if [ -d $PGDATA/postmaster.pid ] ; then
$PGCTL stop -D $PGDATA -s -m fast
diff --git a/ci/berrie64/configs.sh b/ci/berrie64/configs.sh
index 5a7f90599..aa6d39049 100644
--- a/ci/berrie64/configs.sh
+++ b/ci/berrie64/configs.sh
@@ -2,7 +2,7 @@ export WORKSPACE=/home/jenkins/workspace
export GEOS_VER=3.11.0
export OS_BUILD=64
-export PG_VER=14
+export PG_VER=15
export GEOS_PATH=${WORKSPACE}/geos/rel-${GEOS_VER}
#export GEOS_PATH=~/geos/rel-${GEOS_VER}
export PGPATH=${WORKSPACE}/pg/label/${label}/rel/pg${PG_VER}w${OS_BUILD}
diff --git a/ci/berrie64/postgis_regress.sh b/ci/berrie64/postgis_regress.sh
index 5fddfac4d..108c39a57 100644
--- a/ci/berrie64/postgis_regress.sh
+++ b/ci/berrie64/postgis_regress.sh
@@ -21,13 +21,22 @@ make
export err_status=0
make check RUNTESTFLAGS="-v"
make install
-make check RUNTESTFLAGS="-v --extension"
-err_status=$?
+make check RUNTESTFLAGS="-v --extension"
+if [ "$?" != "0" ]; then
+ err_status=$?
+fi
-#make garden
-#err_status=$?
+make garden
+if [ "$?" != "0" ]; then
+ err_status=$?
+fi
+utils/check_all_upgrades.sh \
+ `grep '^POSTGIS_' Version.config | cut -d= -f2 | paste -sd '.'`
+ if [ "$?" != "0" ]; then
+ err_status=$?
+ fi
if [ -d $PGDATA/postmaster.pid ] ; then
$PGCTL stop -D $PGDATA -s -m fast
diff --git a/ci/debbie/postgis_regress.sh b/ci/debbie/postgis_regress.sh
index d21e2eafe..eed2f448c 100644
--- a/ci/debbie/postgis_regress.sh
+++ b/ci/debbie/postgis_regress.sh
@@ -118,8 +118,10 @@ fi
# Test all available upgrades
# TODO: protect via some variable ?
-utils/check_all_upgrades.sh \
- `grep '^POSTGIS_' Version.config | cut -d= -f2 | paste -sd '.'`
-if [ "$?" != "0" ]; then
- exit $?
+if [ "$PG_VER" < "14"]; then
+ utils/check_all_upgrades.sh \
+ `grep '^POSTGIS_' Version.config | cut -d= -f2 | paste -sd '.'`
+ if [ "$?" != "0" ]; then
+ exit $?
+ fi
fi
-----------------------------------------------------------------------
Summary of changes:
ci/berrie/configs.sh | 2 +-
ci/berrie/postgis_regress.sh | 8 ++++++--
ci/berrie64/configs.sh | 2 +-
ci/berrie64/postgis_regress.sh | 17 +++++++++++++----
ci/debbie/postgis_regress.sh | 10 ++++++----
5 files changed, 27 insertions(+), 12 deletions(-)
hooks/post-receive
--
PostGIS
More information about the postgis-tickets
mailing list